MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
PlaylistPrint.hxx File Reference
`#include <stdint.h>`
Include dependency graph for PlaylistPrint.hxx:

Go to the source code of this file.

## Functions
void | playlist_print_uris (Response &r, Partition &partition, const playlist &playlist)
| Sends the whole playlist to the client, song URIs only. More...
void | playlist_print_info (Response &r, Partition &partition, const playlist &playlist, unsigned start, unsigned end)
| Sends a range of the playlist to the client, including all known information about the songs. More...
void | playlist_print_id (Response &r, Partition &partition, const playlist &playlist, unsigned id)
| Sends the song with the specified id to the client. More...
bool | playlist_print_current (Response &r, Partition &partition, const playlist &playlist)
| Sends the current song to the client. More...
void | playlist_print_find (Response &r, Partition &partition, const playlist &playlist, const SongFilter &filter)
| Find songs in the playlist. More...
void | playlist_print_changes_info (Response &r, Partition &partition, const playlist &playlist, uint32_t version, unsigned start, unsigned end)
| Print detailed changes since the specified playlist version. More...
void | playlist_print_changes_position (Response &r, const playlist &playlist, uint32_t version, unsigned start, unsigned end)
| Print changes since the specified playlist version, position only. More...

## Function Documentation

void playlist_print_changes_info | ( | Response & | r,
|  | Partition & | partition,
|  | const playlist & | playlist,
|  | uint32_t | version,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

Print detailed changes since the specified playlist version.

void playlist_print_changes_position | ( | Response & | r,
|  | const playlist & | playlist,
|  | uint32_t | version,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

Print changes since the specified playlist version, position only.

bool playlist_print_current | ( | Response & | r,
|  | Partition & | partition,
|  | const playlist & | playlist
| ) |  |

Sends the current song to the client.

Returns
  true on success, false if there is no current song

void playlist_print_find | ( | Response & | r,
|  | Partition & | partition,
|  | const playlist & | playlist,
|  | const SongFilter & | filter
| ) |  |

Find songs in the playlist.

void playlist_print_id | ( | Response & | r,
|  | Partition & | partition,
|  | const playlist & | playlist,
|  | unsigned | id
| ) |  |

Sends the song with the specified id to the client.

Throws PlaylistError if the range is invalid.

void playlist_print_info | ( | Response & | r,
|  | Partition & | partition,
|  | const playlist & | playlist,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

Sends a range of the playlist to the client, including all known information about the songs.

The "end" offset is decreased automatically if it is too large; passing UINT_MAX is allowed. This function however fails when the start offset is invalid.

Throws PlaylistError if the range is invalid.

void playlist_print_uris | ( | Response & | r,
|  | Partition & | partition,
|  | const playlist & | playlist
| ) |  |

Sends the whole playlist to the client, song URIs only.